Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(844)

Issue 1998563002: Fix URLSearchParams to use the right encoding algorithm (Closed)

Created:
4 years, 4 months ago by tyoshino (SeeGerritForStatus)
Modified:
4 years, 3 months ago
Reviewers:
sof, Mike West
CC:
blink-reviews, blink-reviews-dom_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, gavinp+loader_chromium.org, haraken, Nate Chapin, kinuko+watch, loading-reviews_chromium.org, rwlbuis, sof, tyoshino+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix URLSearchParams to use the right encoding algorithm The stringifier of URLSearchParams must use the application/x-www-form-urlencoded byte serializer algorithm. The "extract" algorithm of Body mixin defined in the Fetch Standard should also use the algorithm for processing URLSearchParams. This algorithm doesn't include CRLF normalization unlike <form> submission algorithm. BUG=557063 R=sigbjornf@opera.com,mkwst Committed: https://crrev.com/d165b6b7d3455768f10c9826a54e00937b6f04e9 Cr-Commit-Position: refs/heads/master@{#396801}

Patch Set 1 #

Patch Set 2 : Reupload #

Total comments: 2

Patch Set 3 : Addressed #8 #

Patch Set 4 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+103 lines, -315 lines) Patch
M third_party/WebKit/LayoutTests/fast/domurl/urlsearchparams-stringifier.html View 2 chunks +21 lines, -3 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/domurl/urlsearchparams-stringifier-expected.txt View 1 chunk +0 lines, -270 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/fetch/script-tests/request.js View 1 chunk +25 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/URLSearchParams.h View 2 chunks +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/URLSearchParams.cpp View 3 chunks +11 lines, -18 lines 0 comments Download
M third_party/WebKit/Source/core/dom/URLSearchParamsTest.cpp View 1 chunk +5 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FormSubmission.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/credentialmanager/PasswordCredential.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/fetch/RequestInit.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/network/FormDataEncoder.h View 1 2 2 chunks +13 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/network/FormDataEncoder.cpp View 4 chunks +21 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/web/WebSearchableFormData.cpp View 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 27 (14 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1998563002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1998563002/1
4 years, 4 months ago (2016-05-19 08:31:57 UTC) #2
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
4 years, 4 months ago (2016-05-19 10:15:01 UTC) #4
tyoshino (SeeGerritForStatus)
+sof Please note that side-by-side for urlsearchparams-stringifier-expected.txt doesn't work but it's just deleted.
4 years, 4 months ago (2016-05-24 06:48:58 UTC) #7
sof
lgtm, but my powers don't extend into web/ nor platform/ https://codereview.chromium.org/1998563002/diff/20001/third_party/WebKit/Source/platform/network/FormDataEncoder.h File third_party/WebKit/Source/platform/network/FormDataEncoder.h (right): https://codereview.chromium.org/1998563002/diff/20001/third_party/WebKit/Source/platform/network/FormDataEncoder.h#newcode37 ...
4 years, 4 months ago (2016-05-24 08:04:37 UTC) #8
tyoshino (SeeGerritForStatus)
Thanks https://codereview.chromium.org/1998563002/diff/20001/third_party/WebKit/Source/platform/network/FormDataEncoder.h File third_party/WebKit/Source/platform/network/FormDataEncoder.h (right): https://codereview.chromium.org/1998563002/diff/20001/third_party/WebKit/Source/platform/network/FormDataEncoder.h#newcode37 third_party/WebKit/Source/platform/network/FormDataEncoder.h:37: enum Mode { On 2016/05/24 08:04:37, sof wrote: ...
4 years, 4 months ago (2016-05-24 08:50:34 UTC) #9
tyoshino (SeeGerritForStatus)
+mkwst Mike, please review modules/credentialmanager/, platform/network and web/
4 years, 4 months ago (2016-05-24 08:54:30 UTC) #13
Mike West
LGTM2! Sorry about the delay on this pretty straightforward review; I was OOO.
4 years, 3 months ago (2016-05-30 11:04:00 UTC) #14
Mike West
On 2016/05/30 at 11:04:00, Mike West (OOO until 30th) wrote: > LGTM2! Sorry about the ...
4 years, 3 months ago (2016-05-30 11:04:17 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1998563002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1998563002/60001
4 years, 3 months ago (2016-05-31 04:06:46 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/78877)
4 years, 3 months ago (2016-05-31 06:11:06 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1998563002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1998563002/60001
4 years, 3 months ago (2016-05-31 06:16:24 UTC) #23
commit-bot: I haz the power
Committed patchset #4 (id:60001)
4 years, 3 months ago (2016-05-31 08:06:47 UTC) #25
commit-bot: I haz the power
4 years, 3 months ago (2016-05-31 08:08:21 UTC) #27
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/d165b6b7d3455768f10c9826a54e00937b6f04e9
Cr-Commit-Position: refs/heads/master@{#396801}

Powered by Google App Engine
This is Rietveld 408576698